package de.intevation.flys.client.server.auth;

import java.lang.IllegalArgumentException;

public class AuthenticationFactory {

    public static Authenticator getInstance(String name)
        throws IllegalArgumentException {
        if (name == null
        || name.equalsIgnoreCase("was")
        || name.equalsIgnoreCase("ggina")) {
            return
                new de.intevation.flys.client.server.auth.was.Authenticator();
        }
        if (name.equalsIgnoreCase("plain")) {
            return
                new de.intevation.flys.client.server.auth.plain.Authenticator();
        }
        throw new IllegalArgumentException("Unkown Authentication " + name);
    }
}
